<template>
  <div class="full-height">
    <nuxt-link :to="localePath(entry.linkTo)">
      <b-card
        text-variant="white"
        class="hovercard"
        border-variant="secondary"
        no-body
      >
        <b-card-img-lazy
          :src="require('~/assets/images/magazin/'+entry.imageUrl+'?resize&size=550')
                .src"
          :alt="$t(entry.title)"
          top
          class="card-img-overlay"
        ></b-card-img-lazy>

        <b-card-body>
          <div class="card-body-content">
            <b-card-text class="font-large">
              {{ $t(entry.title) }}
              <font-awesome-icon
                :icon="['fas', 'comment-alt']"
                class="ml-2"
              ></font-awesome-icon>
            </b-card-text>
          </div>
        </b-card-body>
      </b-card>
    </nuxt-link>
  </div>
</template>

<script>
export default {
  props: {
    entry: {
      type: Object,
      default: () => {},
    },
  },
};
</script>
